org.apache.ignite.streamer.index

## Interface StreamerIndexEntry<E,K,V>

All Known Implementing Classes:
  StreamerIndexProviderAdapter.DedupTrackingEntry, StreamerIndexProviderAdapter.Entry, StreamerIndexProviderAdapter.EventTrackingEntry, StreamerIndexProviderAdapter.NonTrackingEntry

    public interface StreamerIndexEntry<E,K,V>

Streamer index entry. Individual index entry contains index key, value, and all events associated with given key.

### Method Summary

Methods
`Collection<E>` `events()` Gets events associated with given index key and value.
`K` `key()` Gets index entry key.
`V` `value()` Gets index entry value.

### Method Detail

#### events

    @Nullable
    Collection<E> events()

Gets events associated with given index key and value.

Events are tracked only if `StreamerIndexProvider.getPolicy()` is set to `StreamerIndexPolicy.EVENT_TRACKING_ON` or `StreamerIndexPolicy.EVENT_TRACKING_ON_DEDUP`.

Returns:
  Events associated with given index key and value or `null` if event tracking is off.

#### key

    K key()

Gets index entry key.

Returns:
  Index entry key.

#### value

    V value()

Gets index entry value.

For sorted indexes, the sorting happens based on this value.

Returns:
  Index entry value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015